package com.goldenwater.slaj.hidd.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hidd.domain.TDictHiddEng;

/**
 * 隐患工程字典 数据层
 */
@Mapper
public interface TDictHiddEngMapper {

    /**
     * 查询隐患工程字典信息
     * @param id 查询条件
     * @return 隐患工程字典信息
     */
    TDictHiddEng selectTDictHiddEngById(Long id);

    /**
     * 查询隐患工程字典列表
     * @param tDictHiddEng 隐患工程字典查询条件
     * @return 隐患工程字典集合
     */
    List<TDictHiddEng> selectTDictHiddEngList(TDictHiddEng tDictHiddEng);

    /**
     * 新增隐患工程字典
     * @param tDictHiddEng 隐患工程字典信息
     * @return 影响行数
     */
    int insertTDictHiddEng(TDictHiddEng tDictHiddEng);

    /**
     * 修改隐患工程字典
     * @param tDictHiddEng 隐患工程字典信息
     * @return 影响行数
     */
    int updateTDictHiddEng(TDictHiddEng tDictHiddEng);

    /**
     * 删除隐患工程字典
     * @param id 隐患工程字典主键
     * @return 影响行数
     */
    int deleteTDictHiddEngById(Long id);

    /**
     * 批量删除隐患工程字典
     * @param ids 隐患工程字典主键数组
     * @return 影响行数
     */
    int deleteTDictHiddEngByIds(Long[] ids);
}
